<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:rich="http://richfaces.org/rich"
                xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
	<ui:param name="ID" value="XDSI1"/>
	<ui:define name="body">
		<h1>#{XDSI68Manager.getTheNameOfThePage()}</h1>
		<h:form id="globalForm">
			<rich:messages globalOnly="true" styleClass="message" />
			
			#{XDSI68Manager.init()}
			
			<s:div id="globalDiv">
				<gri:panel id="mainPanel">
					<f:facet name="header">#{XDSI68Manager.getTheNameOfThePage()}</f:facet>
					<s:div>
						<h:outputText
							value="#{messages['net.ihe.gazelle.xdstar.ThisToolProvidesThePossibilityToSendDocumentsToA']} " />
						<h:outputText
							value="#{messages['net.ihe.gazelle.xdstar.UsingTheTransaction']} #{XDSI68Manager.selectedTransaction.keyword}"
							rendered="#{XDSI68Manager.selectedTransaction != null}" />
						<br />
						<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ToUseThisToolYouHaveTo']} " />
						<br />
						<ul>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.SelectYourRepositoryConfigurationOrAddANewOneOnT']} " />
								<h:outputLink value="/XDStarClient/configuration/common/configurations.seam"
                                              title="#{messages['net.ihe.gazelle.xdstar.XDSRespondersConfigurations']}">
                                    #{messages['net.ihe.gazelle.xdstar.Configurations']}
                                </h:outputLink>
								<h:outputText value=". " /></li>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.FulfilMetadatasOfTheSubmissionSetThePatientIdOfT']} " /></li>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.UploadTheDocumentsToSubmitAndFulfilIHEMetadatasR']}" />
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.xdstar.UploadedDocumentsShallBeDicomKOSManifestOrCDADoc']}"/>
                            </li>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.ClickOnExecuteButtonToSendTheDocumentsToTheSelec']}" /></li>
						</ul>
					</s:div>
					<ui:include src="/simu/header.xhtml">
                        <ui:param name="divToRerender"
								  value="messageConfigurationDiv"/>
						<ui:param name="simuManager" value="#{XDSI68Manager}" />
						<ui:param name="diagramFile" value="/img/XDSI-68.png"/>
						<ui:param name="sourceID"
							value="#{oid.getSourceOid(XDSI68Manager.selectedAffinityDomain.keyword)}" />
						<ui:param name="simulatorConfigurationName"
							value="#{messages['net.ihe.gazelle.xdstar.ImagingDocumentSourceSimulator']}" />
						<ui:param name="displaySourceId" value="#{false}" />
						<ui:param name="displayhomeCommunityId" value="#{false}" />
					</ui:include>
					<!-- MESSAGE CONFIGURATION -->
					<s:div id="messageConfigurationDiv">
						<gri:panel rendered="#{XDSI68Manager.selectedConfiguration != null}">
							<f:facet name="header">#{messages['net.ihe.gazelle.xdstar.XDSMetadatas']}</f:facet>
							<table style="width: 100%;">
								<tr valign="top">
									<td width="25%" valign="top">
										<f:subview id="subview_1">
											<ui:include src="/provide_register/pnr_tree.xhtml">
												<ui:param name="pnrIHEManager" value="#{XDSI68Manager}" />
											</ui:include>
										</f:subview>
									</td>
									<td width="75%">
										<s:div id="metadata_id">
											<f:subview id="subview_2">
												<ui:include src="/provide_register/submissionSet.xhtml">
													<ui:param name="pnrIHEManager" value="#{XDSI68Manager}" />
												</ui:include>
											</f:subview>
											<f:subview id="subview_3">
												<ui:include src="/provide_register/xdsFolder.xhtml">
													<ui:param name="pnrIHEManager" value="#{XDSI68Manager}" />
												</ui:include>
											</f:subview>
											<f:subview id="subview_4">
												<ui:include src="/xdsi/documentEntry.xhtml">
													<ui:param name="pnrIHEManager" value="#{XDSI68Manager}" />
												</ui:include>
											</f:subview>
										</s:div>
									</td>
								</tr>
							</table>
						</gri:panel>
						<br />
						<a4j:commandButton id="previewButton" styleClass="gzl-btn-blue"
							rendered="#{XDSI68Manager.selectedConfiguration != null}"
							oncomplete="jq162('#previewMessagePanelIHE').modal('show');"
							value="#{messages['net.ihe.gazelle.xdstar.Preview']}" render="previewForm,previewMessagePanelIHE" />
						<a4j:commandButton rendered="#{XDSI68Manager.selectedConfiguration != null}" styleClass="gzl-btn-green"
							value="#{messages['gazelle.xdrsrc.Execute']}"
							actionListener="#{XDSI68Manager.sendProvideAndRegisterSetb()}" render="messagesDiv" />
						<br />
						<br />
						<s:div id="messagesDiv">
							<gri:panel id="messagePanel" rendered="#{XDSI68Manager.displayResultPanel == true}">
								<f:facet name="header">#{messages['gazelle.xdrsrc.executionSummary']}</f:facet>
								#{allMessageManagerBean.listMessagesToDisplay()}
								<ui:include src="/messages/messageTable.xhtml">
									<ui:param name="messageManagerBean" value="#{allMessageManagerBean}" />
								</ui:include>
							</gri:panel>
						</s:div>
						<f:subview id="subview_5">
							<ui:include src="/provide_register/pnr_modalPanel.xhtml">
								<ui:param name="pnrIHEManager" value="#{XDSI68Manager}" />
							</ui:include>
						</f:subview>
					</s:div>
				</gri:panel>
			</s:div>
		</h:form>
		<gri:popupPanel id="validation_result">
			<f:facet name="header">
				<h:outputText value="#{messages['net.ihe.gazelle.xdstar.ValidationResult']}" />
			</f:facet>
			<f:facet name="footer">
				<div align="right">
					<a4j:commandButton styleClass="gzl-btn"
									   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
									   onclick="jq162('#validation_result').modal('hide')"
									   execute="@this"/>
				</div>
			</f:facet>
			<h:form>
				<s:decorate id="uuid_view" style="width:780px; height:420px; overflow: auto;">
					<h:outputText value="#{XDSI68Manager.validationResult}" escape="false" />
				</s:decorate>
			</h:form>
		</gri:popupPanel>
	</ui:define>
</ui:composition>
